Skip to content

Create a Strategy

Request

Create a strategy. If your use case requires more than 100,000 IPs or postal codes, please contact your MediaMath representative to discuss custom solutions or alternative approaches.

Security
Auth0(Required scopes: offline_accessmanage:services)
Query
extendedboolean

Get extended properties in response

Bodyapplication/jsonrequired
campaign_idinteger, (int32)required
Example:45
goalsobject(strategy_goals)required
inventoryobject(strategy_inventory)
pacingobject(strategy_pacing)required
namestring, <= 128 charactersrequired
descriptionstring, <= 1024 characters
statusboolean
archivedboolean
Default:false
media_typestringrequired
Enum:"DISPLAY""VIDEO"
use_optimizationboolean
ads_txt_verifiedstring or null
Enum:"ANY""AUTHORIZED_ONLY""AUTHORIZED_DIRECT_ONLY""NONE"
typestring
Enum:"REM""GBO""AUD"
feature_compatibilitystring or null, <= 1024 characters
device_graph_onlyboolean
mfa_avoidancestring
Enum:"INHERIT""ALLOW_ALL""EXCLUDE_MFA"
durationobject(strategy_duration)required

Duration of strategy must not exceed 36 months

budgetobject(strategy_budget)
frequencyobject(strategy_frequency)
conceptsobject(strategy_concepts)
groupsArray of strings or null
strategy_group_idinteger or null, (int64), [ 1 .. 9223372036854776000 ]

ID of the strategy group this strategy belongs to (one-to-one). Must reference a strategy_groups row whose campaign_id matches this strategy's campaign_id. Pass null to clear the assignment.

Example:1
targetingobject(strategy_targeting)
POST
/strategies
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/strategies?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "campaign_id": 45,
    "goals": {
      "goal_type": "spend",
      "goal_value": 9999999.9999,
      "min_bid": 9999999.99,
      "max_bid": 0.01,
      "roi_target": 9999999.99,
      "bid_min_devices": 1,
      "bid_aggressiveness": 100,
      "bid_price_is_media_only": true,
      "max_bid_wm": 9999999.99,
      "use_bid_shading": true,
      "flat_rate_cpm": 0.01
    },
    "inventory": {
      "supply_type": "RTB",
      "run_on_all_pmp": true,
      "run_on_all_exchanges": true,
      "site_restriction_transparent_urls": true,
      "domain_restrictions": {
        "include": [
          {
            "domain": "www.mediamath.com",
            "target_type": "DOMAIN"
          }
        ],
        "exclude": [
          {
            "domain": "www.mediamath.com",
            "target_type": "DOMAIN"
          }
        ]
      },
      "site_lists": [
        {
          "site_list_id": 32,
          "assigned": true
        }
      ],
      "deals": [
        {
          "deal_id": 8
        }
      ],
      "deal_groups": [
        {
          "deal_group_id": 9
        }
      ],
      "supply_sources": [
        {
          "supply_source_id": 54
        }
      ]
    },
    "pacing": {
      "impression_pacing_type": "even",
      "impression_pacing_amount": 23,
      "impression_pacing_interval": "hour",
      "pacing_type": "even",
      "pacing_amount": 0.01,
      "pacing_interval": "hour",
      "pacing_optimization_type": "monetary",
      "pacing_optimization_amount": 9999999.99,
      "use_dba_strategy_pacing": "always",
      "use_dba_strategy_pacing_after_date": "2019-08-24"
    },
    "name": "string",
    "description": "string",
    "status": true,
    "archived": false,
    "media_type": "DISPLAY",
    "use_optimization": true,
    "ads_txt_verified": "ANY",
    "type": "REM",
    "feature_compatibility": "string",
    "device_graph_only": true,
    "mfa_avoidance": "INHERIT",
    "duration": {
      "use_campaign_start": true,
      "use_campaign_end": true,
      "start_date": "2019-08-24T14:15:22Z",
      "end_date": "2019-08-24T14:15:22Z"
    },
    "budget": {
      "budget": 0.1,
      "currency_code": "string",
      "margin_pct": 9999999.9999
    },
    "frequency": {
      "frequency_type": "even",
      "frequency_interval": "hour",
      "frequency_amount": 345,
      "frequency_optimization": false
    },
    "concepts": {
      "weighting": "NONE",
      "creative_groups": [
        {
          "concept_id": 0,
          "percent": 0
        }
      ]
    },
    "groups": [
      "string"
    ],
    "strategy_group_id": 1,
    "targeting": {
      "fold_position": [
        "ABOVE"
      ],
      "audience": {
        "include": [
          {
            "operator": "AND",
            "segments": [
              {
                "audience_segment_id": 24,
                "user_cpm": 0.1
              }
            ]
          }
        ],
        "exclude": {
          "operator": "AND",
          "segments": [
            {
              "audience_segment_id": 24,
              "user_cpm": 0.1
            }
          ]
        }
      },
      "contextual": {
        "include": [
          {
            "code": "string",
            "operator": "AND",
            "segments": [
              {
                "targeting_segment_id": 33,
                "user_cpm": 0.1
              }
            ]
          }
        ],
        "exclude": {
          "code": "string",
          "operator": "AND",
          "segments": [
            {
              "targeting_segment_id": 33,
              "user_cpm": 0.1
            }
          ]
        }
      },
      "audience_groups": {
        "include": [
          {
            "operator": "AND",
            "segment_groups": [
              {
                "segment_group_id": 43
              }
            ]
          }
        ],
        "exclude": {}
      },
      "contextual_groups": {
        "include": [
          {
            "operator": "AND",
            "segment_groups": [
              {
                "segment_group_id": 43
              }
            ]
          }
        ],
        "exclude": {}
      },
      "geofence": {
        "include": {
          "operator": "AND",
          "segments": [
            {
              "geofence_segment_id": 45,
              "geofence_segment_factual_id": "string"
            }
          ]
        },
        "exclude": {
          "operator": "AND",
          "segments": [
            {
              "geofence_segment_id": 45,
              "geofence_segment_factual_id": "string"
            }
          ]
        }
      },
      "my_data": {
        "include": {
          "operator": "AND",
          "pixels": [
            {
              "pixel_id": 65
            }
          ]
        },
        "exclude": {
          "operator": "AND",
          "pixels": [
            {
              "pixel_id": 65
            }
          ]
        }
      },
      "location": {
        "include": [
          {
            "operator": "AND",
            "target_value_id": 87,
            "code": "DMAX"
          }
        ],
        "exclude": [
          {
            "operator": "AND",
            "target_value_id": 87,
            "code": "DMAX"
          }
        ]
      },
      "technology": {
        "include": [
          {
            "operator": "AND",
            "code": "BSER",
            "target_value_id": 77
          }
        ],
        "exclude": [
          {
            "operator": "AND",
            "code": "BSER",
            "target_value_id": 77
          }
        ]
      },
      "day_parts": [
        {
          "user_time": true,
          "start_hour": 1,
          "end_hour": 5,
          "days": [
            "M",
            "T",
            "W",
            "S",
            "U"
          ]
        }
      ],
      "language_codes": [
        "string"
      ],
      "ip_addresses": {
        "restriction": "INCLUDE",
        "codes": [
          "string"
        ]
      },
      "postal_codes": {
        "restriction": "INCLUDE",
        "codes": [
          "us-14392",
          "us-24981",
          "us-25632",
          "us-16191",
          "us-48574",
          "us14392",
          "us24981",
          "us25632",
          "us16191",
          "us48574",
          "14392",
          "24981",
          "25632",
          "16191",
          "48574"
        ]
      },
      "recency": [
        {
          "pixel_id": 55,
          "from_hour": 5,
          "to_hour": 7
        }
      ]
    }
  }'

Responses

Strategy created response

Bodyapplication/json
Any of:
dataobject(strategy_full_response)
metaobject(single_metadata)
Response
{ "data": { "inherited_mfa_avoidance": "INHERIT", "inherited_mfa_from": "Organization", "campaign_name": "string", "campaign_start_date": "2019-08-24T14:15:22Z", "campaign_end_date": "2019-08-24T14:15:22Z", "campaign_zone_name": "string", "campaign_service_type": "string", "campaign_goal_type": "string", "campaign_goal_value": 0.1, "campaign_merit_pixel_id": 0, "viewability": {}, "name": "string", "description": "string", "status": true, "archived": false, "is_programmatic_guaranteed": false, "media_type": "DISPLAY", "use_optimization": true, "ads_txt_verified": "ANY", "type": "REM", "feature_compatibility": "string", "device_graph_only": true, "mfa_avoidance": "INHERIT", "zone_name": "America/New_York", "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "duration": {}, "budget": {}, "frequency": {}, "concepts": {}, "groups": [], "strategy_group_id": 1, "entity_type": "string", "version": 2, "goals": {}, "pacing": {}, "inventory": {}, "id": 0, "campaign_id": 0, "targeting": {} }, "meta": { "status": "success" } }